Skip to main content
POST
/
v1
/
search
Search
curl --request POST \
  --url https://api.keenable.ai/v1/search \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "query": "<string>"
}
'
{
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.keenable.ai/llms.txt

Use this file to discover all available pages before exploring further.

Search the web and return ranked results with URLs, titles, and descriptions.
curl -X POST "https://api.keenable.ai/v1/search" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{ "query": "typescript best practices" }'

Request

query
string
required
The search query.

Response

results
array
List of search results.

Example

{
  "results": [
    {
      "title": "TypeScript Best Practices 2026",
      "url": "https://example.com/ts-best-practices",
      "description": "A comprehensive guide to modern TypeScript patterns and best practices."
    }
  ]
}